aes.h File Reference

AES block cipher. More...

`#include "config.h"`
`#include <stddef.h>`
`#include <stdint.h>`
`#include "aes_alt.h"`
Include dependency graph for aes.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | MBEDTLS_AES_ENCRYPT 1
#define | MBEDTLS_AES_DECRYPT 0
#define | MBEDTLS_ERR_AES_INVALID_KEY_LENGTH -0x0020
| Invalid key length. More...
#define | MBEDTLS_ERR_AES_INVALID_INPUT_LENGTH -0x0022
| Invalid data input length. More...

## Functions

int | mbedtls_aes_self_test (int verbose)
| Checkup routine. More...

## Detailed Description

AES block cipher.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file aes.h.

## Macro Definition Documentation

#define MBEDTLS_AES_DECRYPT 0

Definition at line 37 of file aes.h.

#define MBEDTLS_AES_ENCRYPT 1

Definition at line 36 of file aes.h.

#define MBEDTLS_ERR_AES_INVALID_INPUT_LENGTH -0x0022

Invalid data input length.

Definition at line 40 of file aes.h.

#define MBEDTLS_ERR_AES_INVALID_KEY_LENGTH -0x0020

Invalid key length.

Definition at line 39 of file aes.h.

## Function Documentation

int mbedtls_aes_self_test | ( | int | verbose | ) |

Checkup routine.

Returns
  0 if successful, or 1 if the test failed